Qt 5.11 | Qt 3D | Quick Namespace

Qt 5.11.3 Reference Documentation

# Quick Namespace

(Qt3DCore::Quick)

Contains classes used for implementing QML functionality into Qt3D applications. More...

Header: | #include <Quick>
qmake: | QT += 3dcore

## Classes

class | QQmlAspectEngine
class | QScene2D

## Functions

const QMetaObject * | qt_getEnumMetaObject(Qt3DRender::Quick::QScene2D::RenderPolicy)
const char * | qt_getEnumName(Qt3DRender::Quick::QScene2D::RenderPolicy)

## Detailed Description

Contains classes used for implementing QML functionality into Qt3D applications.

## Classes

### class QQmlAspectEngine

The QQmlAspectEngine provides an environment for the QAspectEngine and a method for instantiating QML components. More...

### class Qt3DRender::Quick::QScene2D

This class enables rendering qml into a texture, which then can be used as a part of 3D scene. More...

## Function Documentation

### const QMetaObject *Quick::qt_getEnumMetaObject(Qt3DRender::Quick::QScene2D::RenderPolicy)

### const char *Quick::qt_getEnumName(Qt3DRender::Quick::QScene2D::RenderPolicy)